#include <bits/stdc++.h>
#define MAXN 200005
using namespace std;

int n, q;
int arr[MAXN], arr2[MAXN];
vector<int> cnt(MAXN, 0);

int main()
{

    ios_base::sync_with_stdio(false);
    cin.tie(0);cout.tie(0);


    cin>>n;
    for(int i = 1; i<=n; i++)cin>>arr[i];
    arr2[n]=1;
    for(int i = 1; i<n; i++)
    {
        if(arr[i]<=arr[i+1])arr2[i]=1;
        else arr2[i]=0;
    }

    cnt[0]=0;
    for(int i = 1; i<=n; i++)
    {
        if(i>1)
        {
            cnt[i]=cnt[i-1];
        }

        if(arr2[i]==0)cnt[i]++;
    }

    cin>>q;
    for(int qq = 0; qq<q; qq++)
    {
        int l, r;
        cin>>l>>r;

        int x = cnt[r]-cnt[l-1];
        if(arr2[r]==0)x--;
        if(x<=1)cout<<"DA\n";
        else cout<<"NE\n";

    }

    return 0;
}